Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.config
Class ChannelConfiguration

    java.lang.Object
      org.esupportail.portal.channels.CStockage.config.ChannelConfiguration

public class ChannelConfiguration
extends java.lang.Object

Method Summary
`void` | `addInvisibleRegexp(java.lang.String regexp)`
`void` | `addServer(Server server)` add a new server to the list
`boolean` | `getAllowDelNonEmptyFolder()`
`java.lang.String` | `getAllowedRegexp()`
`java.util.Hashtable` | `getChannelActions()` return the channel actions list
`java.util.ArrayList` | `getCheckedAttributes()` Return the list of checked attributes
`boolean` | `getConfirmDel()`
`java.util.ArrayList` | `getDefaultSpaces()` return the spaces list
`java.lang.String` | `getDirectoriesList()`
`static ChannelConfiguration` | `getInstance()` Get an instance of the channel configuration
`java.util.Vector` | `getInvisibleRegexp()`
`java.lang.String` | `getLdapBindDn()`
`java.lang.String` | `getLdapBindPassword()`
`java.lang.String` | `getLdapPeople()`
`java.lang.String` | `getLdapServerUrl()`
`java.lang.String` | `getLdapUserDisplayNameAttribute()`
`java.lang.String` | `getLdapUserKeyAttribute()`
`org.esupportail.portal.utils.database.Database` | `getPool()` return the pools list
`java.util.Hashtable` | `getServerAccess()` return the server access list
`java.lang.String` | `getUsernameAttribute()`
`boolean` | `isHttpsRedirection()`
`boolean` | `isSpacesPersonalization()`
`void` | `setAllowDelNonEmptyFolder(java.lang.String allowDelNonEmptyFolder)`
`void` | `setAllowedRegexp(java.lang.String allowedRegexp)`
`void` | `setChannelActions(ChannelActionClass action)` add a new channel action to the list
`void` | `setCheckedAttributes(CheckedAttribute checkedAttribute)` add a new checked attribute to the list
`void` | `setConfirmDel(java.lang.String confirmDel)`
`void` | `setDirectoriesList(java.lang.String directoriesList)`
`void` | `setHttpsRedirection(java.lang.String httpsRedirection)`
`void` | `setLdapBindDn(java.lang.String ldapBindDn)`
`void` | `setLdapBindPassword(java.lang.String ldapBindPassword)`
`void` | `setLdapPeople(java.lang.String ldapPeople)`
`void` | `setLdapServerUrl(java.lang.String ldapServerUrl)`
`void` | `setLdapUserDisplayNameAttribute(java.lang.String ldapUserDisplayNameAttribute)`
`void` | `setLdapUserKeyAttribute(java.lang.String ldapUserKeyAttribute)`
`void` | `setPool(org.esupportail.portal.utils.database.Database pool)` set the database pool
`void` | `setServerAccess(ServerAccessClass access)` add a new server access to the list
`void` | `setSpacesPersonalization(java.lang.String spacesPersonalization)`
`void` | `setUsernameAttribute(java.lang.String usernameAttribute)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ChannelConfiguration getInstance()
                                            throws PropertiesException

  Get an instance of the channel configuration

  Returns:
    an instance of the channel configuration
  Throws:
    `PropertiesException`

### getDefaultSpaces

    public java.util.ArrayList getDefaultSpaces()
                                         throws PropertiesException

  return the spaces list

  Returns:
    the spaces list
  Throws:
    `PropertiesException`

### addServer

    public void addServer(Server server)

  add a new server to the list

  Parameters:
    `server` - the server to add

### getPool

    public org.esupportail.portal.utils.database.Database getPool()
                                                           throws PropertiesException

  return the pools list

  Returns:
    the pools list
  Throws:
    `PropertiesException`

### setPool

    public void setPool(org.esupportail.portal.utils.database.Database pool)

  set the database pool

  Parameters:
    `pool` - the database pool

### getDirectoriesList

    public java.lang.String getDirectoriesList()

  Returns:
    Returns the directoriesList.

### setDirectoriesList

    public void setDirectoriesList(java.lang.String directoriesList)

  Parameters:
    `directoriesList` - The directoriesList to set.

### isSpacesPersonalization

    public boolean isSpacesPersonalization()

  Returns:
    Returns the spacesPersonalization.

### setSpacesPersonalization

    public void setSpacesPersonalization(java.lang.String spacesPersonalization)

  Parameters:
    `spacesPersonalization` - The spacesPersonalization to set.

### getServerAccess

    public java.util.Hashtable getServerAccess()
                                        throws PropertiesException

  return the server access list

  Returns:
    the server access list
  Throws:
    `PropertiesException`

### setServerAccess

    public void setServerAccess(ServerAccessClass access)

  add a new server access to the list

  Parameters:
    `access` - the server access to add

### setCheckedAttributes

    public void setCheckedAttributes(CheckedAttribute checkedAttribute)

  add a new checked attribute to the list

  Parameters:
    `checkedAttribute` - the checked attribute to add

### getCheckedAttributes

    public java.util.ArrayList getCheckedAttributes()

  Return the list of checked attributes

  Returns:
    the list of checked attributes

### getChannelActions

    public java.util.Hashtable getChannelActions()
                                          throws PropertiesException

  return the channel actions list

  Returns:
    the channel actions list
  Throws:
    `PropertiesException`

### setChannelActions

    public void setChannelActions(ChannelActionClass action)

  add a new channel action to the list

  Parameters:
    `action` - the channel action to add

### getLdapBindDn

    public java.lang.String getLdapBindDn()

  Returns:
    Returns the ldapBindDn.

### setLdapBindDn

    public void setLdapBindDn(java.lang.String ldapBindDn)

  Parameters:
    `ldapBindDn` - The ldapBindDn to set.

### getLdapBindPassword

    public java.lang.String getLdapBindPassword()

  Returns:
    Returns the ldapBindPassword.

### setLdapBindPassword

    public void setLdapBindPassword(java.lang.String ldapBindPassword)

  Parameters:
    `ldapBindPassword` - The ldapBindPassword to set.

### getLdapPeople

    public java.lang.String getLdapPeople()

  Returns:
    Returns the ldapPeople.

### setLdapPeople

    public void setLdapPeople(java.lang.String ldapPeople)

  Parameters:
    `ldapPeople` - The ldapPeople to set.

### getLdapServerUrl

    public java.lang.String getLdapServerUrl()

  Returns:
    Returns the ldapServerUrl.

### setLdapServerUrl

    public void setLdapServerUrl(java.lang.String ldapServerUrl)

  Parameters:
    `ldapServerUrl` - The ldapServerUrl to set.

### getLdapUserDisplayNameAttribute

    public java.lang.String getLdapUserDisplayNameAttribute()

  Returns:
    Returns the ldapUserDisplayNameAttribute.

### setLdapUserDisplayNameAttribute

    public void setLdapUserDisplayNameAttribute(java.lang.String ldapUserDisplayNameAttribute)

  Parameters:
    `ldapUserDisplayNameAttribute` - The ldapUserDisplayNameAttribute to set.

### getLdapUserKeyAttribute

    public java.lang.String getLdapUserKeyAttribute()

  Returns:
    Returns the ldapUserKeyAttribute.

### setLdapUserKeyAttribute

    public void setLdapUserKeyAttribute(java.lang.String ldapUserKeyAttribute)

  Parameters:
    `ldapUserKeyAttribute` - The ldapUserKeyAttribute to set.

### getAllowDelNonEmptyFolder

    public boolean getAllowDelNonEmptyFolder()

  Returns:
    Returns the allowDelNonEmptyFolder.

### setAllowDelNonEmptyFolder

    public void setAllowDelNonEmptyFolder(java.lang.String allowDelNonEmptyFolder)

  Parameters:
    `allowDelNonEmptyFolder` - The allowDelNonEmptyFolder to set.

### getConfirmDel

    public boolean getConfirmDel()

### setConfirmDel

    public void setConfirmDel(java.lang.String confirmDel)

  Parameters:
    `confirmDel` - The confirmDel to set.

### getUsernameAttribute

    public java.lang.String getUsernameAttribute()
                                          throws PropertiesException

  Returns:
    Returns the usernameAttribute.
  Throws:
    `PropertiesException`

### setUsernameAttribute

    public void setUsernameAttribute(java.lang.String usernameAttribute)

  Parameters:
    `usernameAttribute` - The usernameAttribute to set.

### isHttpsRedirection

    public boolean isHttpsRedirection()

  Returns:
    Returns the httpsRedirection.

### setHttpsRedirection

    public void setHttpsRedirection(java.lang.String httpsRedirection)

  Parameters:
    `httpsRedirection` - The httpsRedirection to set.

### getInvisibleRegexp

    public java.util.Vector getInvisibleRegexp()
                                        throws PropertiesException

  Returns:
    Returns the invisibleRexexp.
  Throws:
    `PropertiesException`

### addInvisibleRegexp

    public void addInvisibleRegexp(java.lang.String regexp)

  Parameters:
    `regexp` - The invisibleRexexp to set.

### getAllowedRegexp

    public java.lang.String getAllowedRegexp()

  Returns:
    Returns the allowedRegexp.

### setAllowedRegexp

    public void setAllowedRegexp(java.lang.String allowedRegexp)

  Parameters:
    `allowedRegexp` - The allowedRegexp to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD